Module java.prefs
Package java.util.prefs

## Interface PreferenceChangeListener

- All Superinterfaces:
    `EventListener`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface PreferenceChangeListener
      extends EventListener

  A listener for receiving preference change events.
  Since:
    1.4
  See Also:
    `Preferences`, `PreferenceChangeEvent`, `NodeChangeListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `preferenceChange​(PreferenceChangeEvent evt)` | This method gets called when a preference is added, removed or when its value is changed.

- - ### Method Detail

    - #### preferenceChange

          void preferenceChange​(PreferenceChangeEvent evt)

      This method gets called when a preference is added, removed or when its value is changed.
      Parameters:
        `evt` - A PreferenceChangeEvent object describing the event source and the preference that has changed.